paddle\_quantum.gate.functional
=======================================

.. automodule:: paddle_quantum.gate.functional
   :members:
   :show-inheritance:

.. rubric:: Submodules

.. toctree::
   :maxdepth: 4

   paddle_quantum.gate.functional.base
   paddle_quantum.gate.functional.multi_qubit_gate
   paddle_quantum.gate.functional.single_qubit_gate
   paddle_quantum.gate.functional.visual